package m05bServices;

import java.util.ArrayList;

import m05bDaos.m05bGastosDao;

public class m05bGastosService {
	private static m05bGastosService instance = null;

	// private static Logger log;
	public static m05bGastosService getInstance() {
		if (instance == null) {
			synchronized (m05bGastosService.class) {
				if (instance == null) {
					instance = new m05bGastosService();
				
				}
			}
		}

		return instance;
	}
	/**
	 * Devuelve una lista de matrículas que tengan el gasto indicado en el importe, en la fecha indicada (idioma para la fecha de entrada)
	 * @param fecha
	 * @param importe
	 * @param idioma
	 * @return
	 */
	public ArrayList<String> getMatriculas(String fecha, double importe, String idioma){
		return m05bGastosDao.getInstance().getMatriculas(fecha, importe, idioma);
	}
}
